View Issue Details

IDProjectCategoryView StatusLast Update
0005612GNUnettestbed servicepublic2019-04-03 16:55
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.1Fixed in Version0.11.1 
Summary0005612: valgrind violation when aborting testbed launch while connections are being established
Description==119571== Invalid read of size 2
==119571== at 0x4872830: transmit_ready (client.c:262)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== by 0x48B6E89: GNUNET_PROGRAM_run (program.c:415)
==119571== by 0x119A32: main (gnunet-rps-profiler.c:2985)
==119571== Address 0x60c9698 is 72 bytes inside a block of size 84 free'd
==119571== at 0x48369AB: free (vg_replace_malloc.c:530)
==119571== by 0x48758E4: GNUNET_xfree_ (common_allocation.c:339)
==119571== by 0x48A8A4D: GNUNET_MQ_discard (mq.c:341)
==119571== by 0x48AA74C: GNUNET_MQ_destroy (mq.c:897)
==119571== by 0x48F8930: GNUNET_TESTBED_controller_disconnect (testbed_api.c:1727)
==119571== by 0x49081B1: cleanup (testbed_api_testbed.c:466)
==119571== by 0x4908881: wait_op_completion (testbed_api_testbed.c:606)
==119571== by 0x49089CB: interrupt (testbed_api_testbed.c:637)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== Block was alloc'd at
==119571== at 0x483577F: malloc (vg_replace_malloc.c:299)
==119571== by 0x48755C0: GNUNET_xmalloc_unchecked_ (common_allocation.c:232)
==119571== by 0x4874F5C: GNUNET_xmalloc_ (common_allocation.c:75)
==119571== by 0x48A9E6B: GNUNET_MQ_msg_ (mq.c:664)
==119571== by 0x48F9B0A: opstart_shutdown_peers (testbed_api.c:2236)
==119571== by 0x4900AE4: process_rq_task (testbed_api_operations.c:575)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== by 0x48B6E89: GNUNET_PROGRAM_run (program.c:415)
==119571== by 0x119A32: main (gnunet-rps-profiler.c:2985)
Steps To Reproducectrl-c'ed in the "broken rps profiler" situation.
Additional Information==119571== Syscall param socketcall.sendto(msg) points to unaddressable byte(s)
==119571== at 0x4BC1B9D: send (send.c:28)
==119571== by 0x48ADE97: GNUNET_NETWORK_socket_send (network.c:902)
==119571== by 0x48729D4: transmit_ready (client.c:271)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== by 0x48B6E89: GNUNET_PROGRAM_run (program.c:415)
==119571== by 0x119A32: main (gnunet-rps-profiler.c:2985)
==119571== Address 0x60c9698 is 72 bytes inside a block of size 84 free'd
==119571== at 0x48369AB: free (vg_replace_malloc.c:530)
==119571== by 0x48758E4: GNUNET_xfree_ (common_allocation.c:339)
==119571== by 0x48A8A4D: GNUNET_MQ_discard (mq.c:341)
==119571== by 0x48AA74C: GNUNET_MQ_destroy (mq.c:897)
==119571== by 0x48F8930: GNUNET_TESTBED_controller_disconnect (testbed_api.c:1727)
==119571== by 0x49081B1: cleanup (testbed_api_testbed.c:466)
==119571== by 0x4908881: wait_op_completion (testbed_api_testbed.c:606)
==119571== by 0x49089CB: interrupt (testbed_api_testbed.c:637)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== Block was alloc'd at
==119571== at 0x483577F: malloc (vg_replace_malloc.c:299)
==119571== by 0x48755C0: GNUNET_xmalloc_unchecked_ (common_allocation.c:232)
==119571== by 0x4874F5C: GNUNET_xmalloc_ (common_allocation.c:75)
==119571== by 0x48A9E6B: GNUNET_MQ_msg_ (mq.c:664)
==119571== by 0x48F9B0A: opstart_shutdown_peers (testbed_api.c:2236)
==119571== by 0x4900AE4: process_rq_task (testbed_api_operations.c:575)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== by 0x48B6E89: GNUNET_PROGRAM_run (program.c:415)
==119571== by 0x119A32: main (gnunet-rps-profiler.c:2985)
==119571==
==119571== Invalid read of size 2
==119571== at 0x4872A4D: transmit_ready (client.c:276)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== by 0x48B6E89: GNUNET_PROGRAM_run (program.c:415)
==119571== by 0x119A32: main (gnunet-rps-profiler.c:2985)
==119571== Address 0x60c969a is 74 bytes inside a block of size 84 free'd
==119571== at 0x48369AB: free (vg_replace_malloc.c:530)
==119571== by 0x48758E4: GNUNET_xfree_ (common_allocation.c:339)
==119571== by 0x48A8A4D: GNUNET_MQ_discard (mq.c:341)
==119571== by 0x48AA74C: GNUNET_MQ_destroy (mq.c:897)
==119571== by 0x48F8930: GNUNET_TESTBED_controller_disconnect (testbed_api.c:1727)
==119571== by 0x49081B1: cleanup (testbed_api_testbed.c:466)
==119571== by 0x4908881: wait_op_completion (testbed_api_testbed.c:606)
==119571== by 0x49089CB: interrupt (testbed_api_testbed.c:637)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== Block was alloc'd at
==119571== at 0x483577F: malloc (vg_replace_malloc.c:299)
==119571== by 0x48755C0: GNUNET_xmalloc_unchecked_ (common_allocation.c:232)
==119571== by 0x4874F5C: GNUNET_xmalloc_ (common_allocation.c:75)
==119571== by 0x48A9E6B: GNUNET_MQ_msg_ (mq.c:664)
==119571== by 0x48F9B0A: opstart_shutdown_peers (testbed_api.c:2236)
==119571== by 0x4900AE4: process_rq_task (testbed_api_operations.c:575)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== by 0x48B6E89: GNUNET_PROGRAM_run (program.c:415)
==119571== by 0x119A32: main (gnunet-rps-profiler.c:2985)
==119571==
Feb 26 09:48:01-991119 util-client-119571 WARNING Error during sending message of type 61453
==119571== Invalid read of size 8
==119571== at 0x48A88D3: GNUNET_MQ_inject_error (mq.c:318)
==119571== by 0x4872B46: transmit_ready (client.c:285)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== by 0x48B6E89: GNUNET_PROGRAM_run (program.c:415)
==119571== by 0x119A32: main (gnunet-rps-profiler.c:2985)
==119571== Address 0x28 is not stack'd, malloc'd or (recently) free'd
==119571==
==119571==
==119571== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==119571== Access not within mapped region at address 0x28
==119571== at 0x48A88D3: GNUNET_MQ_inject_error (mq.c:318)
==119571== by 0x4872B46: transmit_ready (client.c:285)
==119571== by 0x48C195D: GNUNET_SCHEDULER_do_work (scheduler.c:2115)
==119571== by 0x48C27D5: select_loop (scheduler.c:2412)
==119571== by 0x48BCE74: GNUNET_SCHEDULER_run (scheduler.c:727)
==119571== by 0x48B6D1F: GNUNET_PROGRAM_run2 (program.c:372)
==119571== by 0x48B6E89: GNUNET_PROGRAM_run (program.c:415)
==119571== by 0x119A32: main (gnunet-rps-profiler.c:2985)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-02-26 09:51 Christian Grothoff New Issue
2019-03-02 10:39 Christian Grothoff Assigned To => Christian Grothoff
2019-03-02 10:39 Christian Grothoff Status new => resolved
2019-03-02 10:39 Christian Grothoff Resolution open => fixed
2019-03-02 10:39 Christian Grothoff Fixed in Version => 0.11.1
2019-03-02 10:40 Christian Grothoff Target Version => 0.11.1
2019-04-03 16:55 Christian Grothoff Status resolved => closed